Name:           ilbc
Version:        0
Release:        1%{?dist}
Summary:        Internet Low Bitrate Codec (iLBC) library

Group:          System Environment/Libraries
License:        Freeware
URL:            http://www.ilbcfreeware.org
# Use the following command to generate ilbc source code
# awk -f extract-cfile.awk rfc3951.txt
# automake/autoconf/libtool tar.gz has been made by Simon Morlat
# <simon.morlat@linphone.org> for use of ilbc codec for linphone
Source0:        automake.tar.gz
Source1:        ilbc.pc
Source2:        http://www.ietf.org/rfc/rfc3951.txt
Source3:        http://www.ilbcfreeware.org/documentation/extract-cfile.awk
Source4:        http://www.ilbcfreeware.org/documentation/gips_iLBClicense.pdf

%description
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n automake

cp %{SOURCE2} %{SOURCE3} %{SOURCE4} .

# extract source code from rfc3951.txt
pushd src
awk -f ../extract-cfile.awk ../rfc3951.txt
popd

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Install the pkg-config file
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/pkgconfig/ilbc.pc
# Fill in the variables
sed -i "s|@PREFIX@|%{_prefix}|g" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/ilbc.pc
sed -i "s|@LIBDIR@|%{_libdir}|g" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/ilbc.pc
sed -i "s|@INCLUDEDIR@|%{_includedir}|g" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/ilbc.pc

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING gips_iLBClicense.pdf
%{_libdir}/libilbc.so.0*

%files devel
%defattr(-,root,root,-)
%doc rfc3951.txt extract-cfile.awk
%{_includedir}/ilbc
%{_libdir}/libilbc.so
%{_libdir}/pkgconfig/ilbc.pc


%changelog
* Tue Mar  8 2011 - 0-1
- Initial RPM release
